Core - Task # 44550

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54267 (Resolved): As an Editor | want to use a FAL withouth bugs

Status: Closed Priority: Should have

Author: Marcel Burkhalter Category: File Abstraction Layer (FAL)
Created: 2013-01-15 Assigned To:

Updated: 2014-03-17 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Sprint Focus:

Subject: Preview image and database entry not deleted when deleting a FAL file

Description

Steps to reproduce:

- Upload an image in the BE filelist

- Add an alt-text and description

- Delete this image in the BE filelist

- Upload another image with the SAME filename

--> you see the old preview image from the first upload including the alt-text and description instead of the correct preview image of
the new file and empty fields

Related issues:

related to Core - Bug # 44645: Preview images don't get a new filename after ... Resolved 2013-01-18
related to Core - Bug # 44105: Image size does not get updated Closed 2012-12-19
duplicated by Core - Bug # 55428: Delete file with missing processed file rai... Resolved 2014-01-29
History

#1 - 2013-02-04 11:13 - Andreas Wolf
- Status changed from New to Accepted
- Assigned To set to Andreas Wolf

This can easily be fixed by hooking into the deletion process and deleting all processed files there. This should be done in the Core nevertheless, so

I'll move this bug to the Core tracker.

#2 - 2013-02-04 11:20 - Andreas Wolf
- Project changed from File Abstraction Layer to Core

#3 - 2013-02-04 11:20 - Andreas Wolf

- Category set to File Abstraction Layer (FAL)
- Target version set to 6.0.2

- TYPOS3 Version set to 6.0

#4 - 2013-11-19 11:21 - Steffen Ritter
- Assigned To deleted (Andreas Wolf)

#5 - 2013-12-07 16:46 - Steffen Ritter
- Target version changed from 6.0.2 to 6.2.0

2015-08-04 1/2




- Parent task set to #54267
- Is Regression set to No

#6 - 2014-01-30 20:07 - Steffen Ritter

- Status changed from Accepted to Needs Feedback

please check if the merged one from today solves this

#7 - 2014-03-17 18:45 - Steffen Ritter
- Status changed from Needs Feedback to Closed
- % Done changed from 0 to 100

no feedback, and solved imho
